Some QT programs stopped working after a dist-upgrade from D

If none of the more specific forums is the right place to ask

Some QT programs stopped working after a dist-upgrade from D

Postby jjbenitez » 2020-06-04 18:11

I recently did dist-upgrade from Debian 9 to Debian 10 and some apps like Clementine and Goldendict stopped working. They start but the interface crashes and they don't respond.
Any ideas on how to solve this or somewhere to find the cause of the error?
Thanks in advance.
jjbenitez
 
Posts: 2
Joined: 2020-06-04 17:40

Re: Some QT programs stopped working after a dist-upgrade fr

Postby sickpig » 2020-06-05 01:38

you can try
Code: Select all
# apt install -f
to fix broken packages and the option --fix-missing.
To see errors start the apps from a terminal.
Or just remove them and re-install them.
User avatar
sickpig
 
Posts: 378
Joined: 2019-01-23 10:34

Re: Some QT programs stopped working after a dist-upgrade fr

Postby jjbenitez » 2020-06-05 13:21

Code: Select all
sudo apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 151 not upgraded.


Clementine from terminal:
Code: Select all
__logging_message__10:07:21.483 DEBUG unknown                          using qt5ct plugin
__logging_message__10:07:22.872 DEBUG unknown                          D-Bus system tray: no
__logging_message__10:07:23.590 DEBUG unknown                          D-Bus global menu: no

(gst-plugin-scanner:25081): GLib-GObject-WARNING **: 10:07:24.275: cannot register existing type 'GstAggregator'

(gst-plugin-scanner:25081): GLib-CRITICAL **: 10:07:24.275: g_once_init_leave: assertion 'result != 0' failed

(gst-plugin-scanner:25081): GLib-GObject-CRITICAL **: 10:07:24.275: g_type_register_static: assertion 'parent_type > 0' failed

(gst-plugin-scanner:25081): GLib-CRITICAL **: 10:07:24.275: g_once_init_leave: assertion 'result != 0' failed

(gst-plugin-scanner:25081): GStreamer-CRITICAL **: 10:07:24.275: gst_element_register: assertion 'g_type_is_a (type, GST_TYPE_ELEMENT)' failed
__logging_message__10:07:24.966 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile

(gst-plugin-scanner:25081): GStreamer-WARNING **: 10:07:26.792: Failed to load plugin '/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstopengl.so': /usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstopengl.so: undefined symbol: gst_gl_caps_replace_all_caps_features

(gst-plugin-scanner:25081): GLib-GObject-WARNING **: 10:07:27.411: cannot register existing type 'GstDataURISrc'

(gst-plugin-scanner:25081): GLib-GObject-CRITICAL **: 10:07:27.411: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(gst-plugin-scanner:25081): GLib-CRITICAL **: 10:07:27.411: g_once_init_leave: assertion 'result != 0' failed

(gst-plugin-scanner:25081): GStreamer-CRITICAL **: 10:07:27.411: gst_element_register: assertion 'g_type_is_a (type, GST_TYPE_ELEMENT)' failed


I have a missing pluging: '/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstopengl.so', but is a warning.
jjbenitez
 
Posts: 2
Joined: 2020-06-04 17:40

Re: Some QT programs stopped working after a dist-upgrade fr

Postby sickpig » 2020-06-05 16:30

Code: Select all
apt install --fix-missing

Or just remove the apps and reinstall them.

edit
added code tags and fixed typo
Last edited by sickpig on 2020-06-05 21:39, edited 1 time in total.
User avatar
sickpig
 
Posts: 378
Joined: 2019-01-23 10:34

Re: Some QT programs stopped working after a dist-upgrade fr

Postby Head_on_a_Stick » 2020-06-05 16:45

jjbenitez wrote:
Code: Select all
151 not upgraded.

Looks like your upgrade didn't work, have you read through the guide in the buster release notes?
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12194
Joined: 2014-06-01 17:46
Location: /dev/chair


Return to General Questions

Who is online

Users browsing this forum: No registered users and 15 guests

fashionable